Premium ✅ Wraith Anticheat ⛔️ Haunts every cheater [Paid]

Discussion in 'Resource Discussion' started by LoneDev, May 14, 2019.

  1. LoneDev

    Benefactor

  2. I have a problems with this resource.

    [Wraith] Enabling Wraith v2.2.1
    [14:26:32] [Server thread/ERROR]: Error occurred while enabling Wraith v2.2.1 (Is it up to date?)
    [14:26:32] [Server thread/ERROR]: Suspected Plugins:
    [14:26:32] [Server thread/ERROR]: Wraith{enabled,ver=2.2.1,path=plugins\Wraith.jar}
    [14:26:32] [Server thread/ERROR]: Exception details below:
    java.lang.NoClassDefFoundError: com/viaversion/viaversion/api/Via
    at dev.lone.wraith.OtherPlugins.a.<init>(SourceFile:11) ~[?:?]
    at dev.lone.wraith.OtherPlugins.a.A(SourceFile:15) ~[?:?]
    at dev.lone.wraith.Main.onEnable(SourceFile:192) ~[?:?]
    at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:263) ~[patched_1.16.5.jar:git-Yatopia-ver/1.16.5-117]
    at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:370) ~[patched_1.16.5.jar:git-Yatopia-ver/1.16.5-117]
    at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:500) ~[patched_1.16.5.jar:git-Yatopia-ver/1.16.5-117]
    at org.bukkit.craftbukkit.v1_16_R3.CraftServer.enablePlugin(CraftServer.java:518) ~[patched_1.16.5.jar:git-Yatopia-ver/1.16.5-117]
    at org.bukkit.craftbukkit.v1_16_R3.CraftServer.enablePlugins(CraftServer.java:432) ~[patched_1.16.5.jar:git-Yatopia-ver/1.16.5-117]
    at net.minecraft.server.v1_16_R3.MinecraftServer.loadWorld(MinecraftServer.java:595) ~[patched_1.16.5.jar:git-Yatopia-ver/1.16.5-117]
    at net.minecraft.server.v1_16_R3.DedicatedServer.init(DedicatedServer.java:321) ~[patched_1.16.5.jar:git-Yatopia-ver/1.16.5-117]
    at net.minecraft.server.v1_16_R3.MinecraftServer.w(MinecraftServer.java:1077) ~[patched_1.16.5.jar:git-Yatopia-ver/1.16.5-117]
    at net.minecraft.server.v1_16_R3.MinecraftServer.lambda$a$0(MinecraftServer.java:292) ~[patched_1.16.5.jar:git-Yatopia-ver/1.16.5-117]
    at java.lang.Thread.run(Unknown Source) [?:1.8.0_291]
    Caused by: java.lang.ClassNotFoundException: com.viaversion.viaversion.api.Via
    at org.bukkit.plugin.java.PluginClassLoader.loadClass0(PluginClassLoader.java:154) ~[patched_1.16.5.jar:git-Yatopia-ver/1.16.5-117]
    at org.bukkit.plugin.java.PluginClassLoader.loadClass(PluginClassLoader.java:114) ~[patched_1.16.5.jar:git-Yatopia-ver/1.16.5-117]
    at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.8.0_291]
    ... 13 more
    [14:26:32] [Server thread/INFO]: [Wraith] Disabling Wraith v2.2.1
    [14:26:32] [Server thread/ERROR]: Error occurred while disabling Wraith v2.2.1 (Is it up to date?)
    [14:26:32] [Server thread/ERROR]: Suspected Plugins:
    [14:26:32] [Server thread/ERROR]: Wraith{disabled,ver=2.2.1,path=plugins\Wraith.jar}
    [14:26:32] [Server thread/ERROR]: Exception details below:
    java.lang.NullPointerException: null
    at dev.lone.wraith.Main.onDisable(SourceFile:397) ~[?:?]
    at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:265) ~[patched_1.16.5.jar:git-Yatopia-ver/1.16.5-117]
    at org.bukkit.plugin.java.JavaPluginLoader.disablePlugin(JavaPluginLoader.java:409) ~[patched_1.16.5.jar:git-Yatopia-ver/1.16.5-117]
    at org.bukkit.plugin.SimplePluginManager.disablePlugin(SimplePluginManager.java:533) ~[patched_1.16.5.jar:git-Yatopia-ver/1.16.5-117]
    at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:378) ~[patched_1.16.5.jar:git-Yatopia-ver/1.16.5-117]
    at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:500) ~[patched_1.16.5.jar:git-Yatopia-ver/1.16.5-117]
    at org.bukkit.craftbukkit.v1_16_R3.CraftServer.enablePlugin(CraftServer.java:518) ~[patched_1.16.5.jar:git-Yatopia-ver/1.16.5-117]
    at org.bukkit.craftbukkit.v1_16_R3.CraftServer.enablePlugins(CraftServer.java:432) ~[patched_1.16.5.jar:git-Yatopia-ver/1.16.5-117]
    at net.minecraft.server.v1_16_R3.MinecraftServer.loadWorld(MinecraftServer.java:595) ~[patched_1.16.5.jar:git-Yatopia-ver/1.16.5-117]
    at net.minecraft.server.v1_16_R3.DedicatedServer.init(DedicatedServer.java:321) ~[patched_1.16.5.jar:git-Yatopia-ver/1.16.5-117]
    at net.minecraft.server.v1_16_R3.MinecraftServer.w(MinecraftServer.java:1077) ~[patched_1.16.5.jar:git-Yatopia-ver/1.16.5-117]
    at net.minecraft.server.v1_16_R3.MinecraftServer.lambda$a$0(MinecraftServer.java:292) ~[patched_1.16.5.jar:git-Yatopia-ver/1.16.5-117]
    at java.lang.Thread.run(Unknown Source) [?:1.8.0_291]
     
  3. LoneDev

    Benefactor


    Please update your Viaversion.
    https://wraith.plugin.ga/first-install
     
  4. LoneDev

    Benefactor

    LoneDev updated ✅ Wraith Anticheat ⛔️ Haunts every hacker with a new update entry:

    2.2.2

    Read the rest of this update entry...
     
  5. LoneDev

    Benefactor

  6. Hey have you an date to update you plugin to 1.17.? Or a goal?

    Thanks for you Work :)
     
  7. Hey my Player often get kicked for Speedhack but they mean they have it not. I also kicked for speedhack. Give it a option to change the senetivity for that?
     
  8. Works good for detector, speedhack is very sensitive, and liquidbounce has no penalty, but I watched sigma just bypass all checks, and they activated kill aura and still not detected...

    I run this and "hacked server" side by side, considering adding another for layered security, we really need mojangs help to code better anti hacks, I did start a feedback request, everyone please vote!

    https://feedback.minecraft.net/hc/en-us/community/topics/360000721951-Realms-and-Dedicated-Servers

    Mojang needs to hardcode checks so devs can do better work, keep in mind hackers are out there constantly looking to defeat our protections, it's endless.
     
    • Like Like x 1
  9. LoneDev

    Benefactor

    Obviously once 1.17 spigot is out I will implement compatibility

    you can change it in other-detections-config.yml

    Code (Text):
        speed:
          enabled: true
          vl: 7
          ms: 3000
          max-speed: 15
    maybe increase max-speed or increase vl (violations).
    It's strange as I tested it for a long time on a survival server with no false positives.
    Are your players lagging or are they using special items to travel faster?

    Sadly this won't even happen.
    Minecraft server codebase doesn't allow such precise anticheats without adding a clientside layer protection (which would surely be bypassed) or adding extremely heavy checks.
    I tested the anticheat with Sigma default settings and it works fine, probably they lowered down killaura speed or flight speed at a point that made them both useless but undetected
     
    • Like Like x 1

  10. No my players only use Elytras and some time have the speed effect from beacons. And I run the Spigot Plugin on a Fork from Spigot named PURPUR Mc.

    Thanks I change that!
     
  11. LoneDev

    Benefactor

  12. > [20:16:11] [Server thread/INFO]: [Wraith] Enabling Wraith v2.2.3
    > [20:16:11] [Server thread/INFO]: ███████
    > [20:16:11] [Server thread/INFO]: ███████
    > [20:16:11] [Server thread/INFO]: ██▀██▀█ Wraith > haunts every hacker
    > [20:16:11] [Server thread/INFO]: ███████ Version: 2.2.3
    > [20:16:11] [Server thread/INFO]: ███████
    > [20:16:12] [Server thread/ERROR]: Error occurred while enabling Wraith v2.2.3 (Is it up to date?)
    java.lang.NoSuchFieldError: TRANSACTION
    at dev.lone.wraith.g.m.b.<init>(SourceFile:45) ~[?:?]
    at dev.lone.wraith.Main.onEnable(SourceFile:343) ~[?:?]
    at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:263) ~[spigot-1.17.jar:3149-Spigot-101ebb6-9122f5a]
    at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:342) ~[spigot-1.17.jar:3149-Spigot-101ebb6-9122f5a]
    at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:480) ~[spigot-1.17.jar:3149-Spigot-101ebb6-9122f5a]
    at org.bukkit.craftbukkit.v1_17_R1.CraftServer.enablePlugin(CraftServer.java:495) ~[spigot-1.17.jar:3149-Spigot-101ebb6-9122f5a]
    at org.bukkit.craftbukkit.v1_17_R1.CraftServer.enablePlugins(CraftServer.java:409) ~[spigot-1.17.jar:3149-Spigot-101ebb6-9122f5a]
    at net.minecraft.server.MinecraftServer.loadWorld(MinecraftServer.java:608) ~[spigot-1.17.jar:3149-Spigot-101ebb6-9122f5a]
    at net.minecraft.server.dedicated.DedicatedServer.init(DedicatedServer.java:264) ~[spigot-1.17.jar:3149-Spigot-101ebb6-9122f5a]
    at net.minecraft.server.MinecraftServer.x(MinecraftServer.java:987) ~[spigot-1.17.jar:3149-Spigot-101ebb6-9122f5a]
    at net.minecraft.server.MinecraftServer.lambda$0(MinecraftServer.java:307) ~[spigot-1.17.jar:3149-Spigot-101ebb6-9122f5a]
    at java.lang.Thread.run(Unknown Source) [?:?]
     
  13. I cant run my Server :( not on 1.17. not on 1.16.5 what is false?[/QUOTE]
     
  14. Are there any news about the 1.17 Update? Well specialy the client brand,mod detection would be needed. We catched the first kids allready with using for us not allowed mods. And we are surr more will come soon...
     
  15. LoneDev

    Benefactor

    Hello,
    I'll work on an update this week
     
    • Friendly Friendly x 2
  16. hands up for 1.17 support :D... Cant wait for the 2.2.4 :)
     
  17. LoneDev

    Benefactor